diff --git a/src/include/catalog/pg_subscription.h b/src/include/catalog/pg_subscription.h
index fae542b..a069772 100644
--- a/src/include/catalog/pg_subscription.h
+++ b/src/include/catalog/pg_subscription.h
@@ -41,10 +41,10 @@ CATALOG(pg_subscription,6100) BKI_SHARED_RELATION BKI_ROWTYPE_OID(6101) BKI_SCHE
 								 * (the worker should be running) */
 
 #ifdef CATALOG_VARLEN			/* variable-length fields start here */
-	text		subconninfo;	/* Connection string to the publisher */
-	NameData	subslotname;	/* Slot name on publisher */
-	text		subsynccommit;	/* Synchronous commit setting for worker */
-	text		subpublications[1];	/* List of publications subscribed to */
+	text		subconninfo BKI_FORCE_NOT_NULL;	/* Connection string to the publisher */
+	NameData	subslotname BKI_FORCE_NOT_NULL;	/* Slot name on publisher */
+	text		subsynccommit BKI_FORCE_NOT_NULL;	/* Synchronous commit setting for worker */
+	text		subpublications[1] BKI_FORCE_NOT_NULL;	/* List of publications subscribed to */
 #endif
 } FormData_pg_subscription;
 
